<app-menu-item-layout-container [menu]="(slidesMenu$|async)">
  <app-slides-label
    label
    [labelState]="(slidesMenu$|ngrxPush).labelState"
    [labelId]="(slide$|ngrxPush)?.id"
    [displayId]="(slide$|ngrxPush)?.dataView?.local_id"
    [selected]="(slidesMenu$|ngrxPush).selected"
    [contentLoaded]="(loaded$|ngrxPush)">
  </app-slides-label>
  <app-slides-tray-view
    *ngIf="(loaded$|ngrxPush) && (slidesMenu$|ngrxPush).labelState === menuState.MAX"
    content
    [slideEntities]="(slides$|ngrxPush)"
    [slideImages]="(slideImages$|ngrxPush)"
    [selectedSlideId]="(slide$|ngrxPush)?.id"
    [selectionMissing]="(selectionError$|ngrxPush)"
    [slidesPrimitiveEntities]="(slidePrimitiveEntities$|ngrxPush)"
    [slidesSkip]="(slidesSkip$|ngrxPush)"
    [slidesLimit]="SLIDES_BATCH_LIMIT"
    [maxSlidesCount]="(maxSlidesCount$|ngrxPush)"
    [freezedSlideCount]="(freezedSlides$|ngrxPush)"
    (slideSelected)="selectSlide($event)"
    (loadNewSlidesPage)="onLoadNewSlidesPage($event)"
    (nextSlide)="onNextSlideClicked()">
  </app-slides-tray-view>
</app-menu-item-layout-container>
